How to Create an API Access Token for Brokerage Authentication - Public APIOpen sidebar HelpFeedbackAuthorizationCreate personal access token validityInMinutesinteger 200401429 The Public Individual API is for your own personal, non-commercial use. Unauthorized access is prohibited. You are responsible for all trades made via the API. Learn more
Create API Access Token
Generates a new personal Access Token (JWT) with a specified validity in minutes, using an existing personal Secret Token. The personal Secret Token must be generated from the user's settings page. Secret Tokens are long-lived but revocable, while Access Tokens are short-lived and expire after the specified validity period. The Access Token returned from this operation is required for authorization in all other subsequent API requests.
POST/userapiauthservice/personal/access-tokensParametersResetNo parameters
Request bodyRequired*ExecuteCancelBodyapplication/jsonRequest Bodyapplication/jsonValidity of the access token to be issued in minutes. Defaults to 15 minutes.
secretstringrequiredA valid personal secret
ResponsesResponse200application/jsonSuccess
No response body defined
Response401application/jsonUnauthorized
No response body defined
Response429application/jsonToo Many Requests
No response body defined
The Public Individual API is for your own personal, non-commercial use. Unauthorized access is prohibited. You are responsible for all trades made via the API. Learn more{
"accessToken": "string"
}How to Create an API Access Token for Brokerage Authentication - Public API,AI智能索引,全网链接索引,智能导航,网页索引
- Generate a personal access token to authenticate Public brokerage API requests. Secure OAuth-based authorization for programmatic trading of stocks, options, and crypto.